import request from '@/utils/request'

// 查询租户流量定价列表
export function listTrafficPricing(query) {
  return request({
    url: '/admin/traffic-pricing/list',
    method: 'get',
    params: query
  })
}

// 查询流量定价详情
export function getTrafficPricing(id) {
  return request({
    url: '/admin/traffic-pricing/' + id,
    method: 'get'
  })
}

// 新增流量定价
export function addTrafficPricing(data) {
  return request({
    url: '/admin/traffic-pricing',
    method: 'post',
    data: data
  })
}

// 更新流量定价
export function updateTrafficPricing(data) {
  return request({
    url: '/admin/traffic-pricing',
    method: 'put',
    data: data
  })
}

// 删除流量定价
export function delTrafficPricing(id) {
  return request({
    url: '/admin/traffic-pricing/' + id,
    method: 'delete'
  })
}
